Get a tenant's authentication policy
curl --request GET \
--url https://{instance}.cyrisma.com/ta/v1/msp/admin/tenants/{tenantId}/auth-policy \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.cyrisma.com/ta/v1/msp/admin/tenants/{tenantId}/auth-policy"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.cyrisma.com/ta/v1/msp/admin/tenants/{tenantId}/auth-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mfa_requirement": "<string>",
"allowed_mfa_methods": [
"email"
],
"version": 123,
"updated_at": "2023-11-07T05:31:56Z",
"require_sso": false
}{
"status": 123,
"code": "<string>",
"trace_id": "<string>",
"denied_scopes": [
"<string>"
],
"attempts_remaining": 123,
"retry_after_seconds": 123
}{
"status": 123,
"code": "<string>",
"trace_id": "<string>",
"denied_scopes": [
"<string>"
],
"attempts_remaining": 123,
"retry_after_seconds": 123
}MSP Administration
Get a tenant's authentication policy
GET
/
v1
/
msp
/
admin
/
tenants
/
{tenantId}
/
auth-policy
Get a tenant's authentication policy
Authorizations
A machine-client token from POST /v1/auth/client-token. Provisioning and user management need the pulse.write scope; reads need pulse.read.
